de.esprit.common.io

## Class NullWriter

- java.lang.Object
- - java.io.Writer
  - - de.esprit.common.io.NullWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

      public class NullWriter
      extends java.io.Writer

  This `Writer` ignores all writes
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `write(char[] chr)`
    `void` | `write(char[] chr, int st, int end)`
    `void` | `write(int idx)`
    `void` | `write(java.lang.String str)`
    `void` | `write(java.lang.String str, int st, int end)`

    - ### Methods inherited from class java.io.Writer

      `append, append, append`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullWriter

          public NullWriter()

  - ### Method Detail

    - #### write

          public void write(int idx)

      Overrides:
        `write` in class `java.io.Writer`

    - #### write

          public void write(char[] chr)

      Overrides:
        `write` in class `java.io.Writer`

    - #### write

          public void write(char[] chr,
                   int st,
                   int end)

      Specified by:
        `write` in class `java.io.Writer`

    - #### write

          public void write(java.lang.String str)

      Overrides:
        `write` in class `java.io.Writer`

    - #### write

          public void write(java.lang.String str,
                   int st,
                   int end)

      Overrides:
        `write` in class `java.io.Writer`

    - #### flush

          public void flush()

      Specified by:
        `flush` in interface `java.io.Flushable`
      Specified by:
        `flush` in class `java.io.Writer`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in class `java.io.Writer`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.